Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## things.thinger.kernel
Enum ThingsState

    java.lang.Object
      java.lang.Enum<ThingsState>
          things.thinger.kernel.ThingsState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ThingsState>

    public enum ThingsState

extends java.lang.Enum<ThingsState>

Things State. Use for process state management.

Version:
  1.0

  Version History

      EPG - Initial - 26 JUN 05

Author:
  Erich P. Gatejen

Enum Constant Summary
`STATE_ACTIVE_THRESHOLD`
`STATE_CONSTRUCTION`
`STATE_DESTRUCTION`
`STATE_DONE`
`STATE_FOUL`
`STATE_HALT`
`STATE_HALT_REQUESTED`
`STATE_INVALID`
`STATE_KILLED`
`STATE_NEW`
`STATE_PAUSE_REQUESTED`
`STATE_PAUSED`
`STATE_RUNNING`
`STATE_TRANSIT_THRESHOLD`

Method Summary
`int` | `getNumeric()` Get numeric.
`java.lang.String` | `getText()` Get text.
`boolean` | `isDeadOrDying()` Is dead or dying.
`boolean` | `isHalting()` Is dead, dying, or a halt is requested.
`static ThingsState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ThingsState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STATE_INVALID

    public static final ThingsState STATE_INVALID

### STATE_CONSTRUCTION

    public static final ThingsState STATE_CONSTRUCTION

### STATE_NEW

    public static final ThingsState STATE_NEW

### STATE_ACTIVE_THRESHOLD

    public static final ThingsState STATE_ACTIVE_THRESHOLD

### STATE_RUNNING

    public static final ThingsState STATE_RUNNING

### STATE_TRANSIT_THRESHOLD

    public static final ThingsState STATE_TRANSIT_THRESHOLD

### STATE_PAUSE_REQUESTED

    public static final ThingsState STATE_PAUSE_REQUESTED

### STATE_PAUSED

    public static final ThingsState STATE_PAUSED

### STATE_HALT_REQUESTED

    public static final ThingsState STATE_HALT_REQUESTED

### STATE_HALT

    public static final ThingsState STATE_HALT

### STATE_DESTRUCTION

    public static final ThingsState STATE_DESTRUCTION

### STATE_FOUL

    public static final ThingsState STATE_FOUL

### STATE_KILLED

    public static final ThingsState STATE_KILLED

### STATE_DONE

    public static final ThingsState STATE_DONE

Method Detail

### values

    public static ThingsState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ThingsState c : ThingsState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ThingsState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getNumeric

    public int getNumeric()

  Get numeric.

  Returns:
    the numeric value for this item.

### getText

    public java.lang.String getText()

  Get text.

  Returns:
    the human readable text description for the state.

### isDeadOrDying

    public boolean isDeadOrDying()

  Is dead or dying.

  Returns:
    true if so.

### isHalting

    public boolean isHalting()

  Is dead, dying, or a halt is requested.

  Returns:
    true if so.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Things.